Bug 1596773 (CVE-2018-10876)

Summary: CVE-2018-10876 kernel: use-after-free in jbd2_journal_commit_transaction funtion
Product: [Other] Security Response Reporter: Laura Pardo <lpardo>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: abhgupta, airlied, aquini, bhu, blc, bskeggs, dbaker, dhoward, esammons, ewk, fhrbata, hdegoede, hkrzesin, hwkernel-mgr, iboverma, ichavero, itamar, jarodwilson, jforbes, jglisse, jkacur, john.j5live, jokerman, jonathan, josef, jross, jwboyer, kernel-maint, kernel-mgr, labbott, lgoncalv, linville, lwang, matt, mchehab, mcressma, mjg59, mlangsdo, nmurray, plougher, rvrbovsk, sfowler, skozina, slawomir, steved, sthangav, trankin, vdronov, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel's ext4 filesystem code. A use-after-free is possible in ext4_ext_remove_space() function when mounting and operating a crafted ext4 image.
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-07-25 16:46:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1596774, 1596776, 1615845    
Bug Blocks: 1596775    

Description Laura Pardo 2018-06-29 17:14:19 UTC
A flaw was found in Linux kernel in the ext4 filesystem code. A use-after-free is possible in ext4_ext_remove_space() function when mounting and operating a crafted ext4 image.

References:

https://bugzilla.kernel.org/show_bug.cgi?id=199403

http://patchwork.ozlabs.org/patch/929239/

An upstream fix:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=8844618d8aa7a9973e7b527d038a2a589665002c

Comment 1 Laura Pardo 2018-06-29 17:15:43 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1596774]

Comment 4 Justin M. Forbes 2018-07-16 14:31:31 UTC
This is fixed for Fedora with the 4.17.6 stable kernel update

Comment 8 errata-xmlrpc 2019-03-13 02:08:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0525 https://access.redhat.com/errata/RHSA-2019:0525